## libgnuinet-java 1.1.2

=== debian/changelog ===
libgnuinet-java (1.1.2-2build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 11:43:02 +0100

libgnuinet-java (1.1.2-2) unstable; urgency=low

  * Team upload.
  * Switch to source format 3.0.
  * Add a patch to revert some changes in upstream version 1.1.2 that breaks
    other packages. (Closes: #641130)
  * Switch to debhelper level 7.
  * Update Standards-Version: 3.9.2.

 -- Torsten Werner <twerner@debian.org>  Sun, 25 Sep 2011 18:45:30 +0200

libgnuinet-java (1.1.2-1) unstable; urgency=low

  * Team upload

  [ Niels Thykier ]
  * Added Vcs-* fields.

  [ Torsten Werner ]
  * New upstream release. Add the old (but patched) build.xml to debian/
    because it is missing in the new upstream tarball.
  * Remove Arnaud from Uploaders list.
  * Remove Java runtime from Depends.

 -- Torsten Werner <twerner@debian.org>  Mon, 08 Aug 2011 14:00:39 +0200

libgnuinet-java (1.1.1-4) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.
  * Set java source version to 1.4.

  [ Onkar Shinde ]
  * Other misc fixes.

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Thu, 19 Nov 2009 20:13:15 +0530

libgnuinet-java (1.1.1-3) unstable; urgency=low

  * Move to unstable.

 -- Michael Koch <konqueror@gmx.de>  Sun, 10 Jun 2007 14:34:33 -0100

libgnuinet-java (1.1.1-2) experimental; urgency=low

  * Upload to experimental.
  * Moved cdbs and debhelper from Build-Depends-Indep to Build-Depends.
  * Removed Build-Depends on libgnucrypto-java and libjessie-java.
  * Build-Depends-Indep on java-gcj-compat-dev instead of kaffe and jikes
  * Removed Depends on libgnucrypto-java, libjessie-java, j2re1.4 and j2re1.5.
  * Replaces Depends on gij, kaffe and sable with java-gcj-compat.
  * Removed debian/ant.properties.
  * Builde with gcj in debian/rules.
  * Added myself to Uploaders and remove Wolfgang Baer.
  * Updated Standard-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Thu,  8 Feb 2007 17:24:08 +0100

libgnuinet-java (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Removed section about library in contrib from README.Debian
  * libant1.6-java to ant transition
  * Corrected current download location in debian/copyright
  * Relaxed dependency on libjessie-java for JDK > 1.4 (closes: #327223)
  * Removed constructor patch - not needed with new gnumail upstream
  * Removed debian/install file and install in debian/rules as
    versioned jar with non-version symlink to comply with java-policy
  * Updated FSF adress
  * Registered API doc with doc-base
  * Standards-Version 3.6.2 (no changes)
  * Added myself as uploader

  * Upload sponsored by Petter Reinholdtsen

 -- Wolfgang Baer <WBaer@gmx.de>  Sat, 10 Sep 2005 16:35:34 +0200

libgnuinet-java (1.1-3) unstable; urgency=low

  * built with kaffe
  * generate the javadoc

 -- Arnaud Vandyck <avdyk@debian.org>  Thu,  3 Mar 2005 00:05:44 +0100

libgnuinet-java (1.1-2) unstable; urgency=low

  * NNTPConnection patch for compatibility with inet-1.0 (closes:
    #276139).

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 12 Oct 2004 16:12:29 +0200

libgnuinet-java (1.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch: added

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 11 Oct 2004 11:57:19 +0200

libgnuinet-java (1.0-1) unstable; urgency=low

  * New upstream release (closes: #254447).
  * now build with sablevm and libant1.6-java.
  * no more patch needed

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 13 Jul 2004 23:10:20 +0200

libgnuinet-java (0.0.cvs20031116-4) unstable; urgency=low

  * added gij and sablevm as alternative Java Virtual machines.

 -- Arnaud Vandyck <avdyk@debian.org>  Wed, 14 Apr 2004 12:42:10 +0200

libgnuinet-java (0.0.cvs20031116-3) unstable; urgency=low

  * added dpatch build-dependency, thanks to Frank Lichtenheld (closes:
    #241960).

 -- Arnaud Vandyck <avdyk@debian.org>  Sun,  4 Apr 2004 19:30:53 +0200

libgnuinet-java (0.0.cvs20031116-2) unstable; urgency=low

  * debian/rules: now build with kaffe (1:1.1.3) so it can go back in main
  * debian/control:
    - removed j2sdk from the build-depends-indep
    - back to main!

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 10 Jan 2004 17:57:14 +0100

libgnuinet-java (0.0.cvs20031116-1) unstable; urgency=low

  * Initial Release (closes: #221090).

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Dec 2003 14:55:54 +0100
