=== debian/control ===
Source: libgnuinet-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>
Build-Depends-Indep: default-jdk, ant
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.8)
Standards-Version: 3.9.2
Homepage: http://savannah.gnu.org/projects/classpath
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libgnuinet-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libgnuinet-java

Package: libgnuinet-java
Architecture: all
Depends: ${misc:Depends}
Description: extension library to provide extra network protocol support
 GNU Classpath inetlib is an extension library to provide extra network
 protocol support for GNU Classpath and ClasspathX project, but it can
 also used standalone to make adding http, imap, pop3 and smtp client
 support to applictions.
