=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_ANT_BUILD_TARGET := inetlib.jar doc
DEB_ANT_ARGS         := -Dant.build.javac.source=1.4

LIBRARY=gnuinet
VERSION=$(DEB_UPSTREAM_VERSION)

clean:: 
	-rm inetlib.jar

install/libgnuinet-java::
	install -m 644 inetlib.jar debian/libgnuinet-java/usr/share/java/inetlib-$(VERSION).jar
	ln -s inetlib-$(VERSION).jar debian/libgnuinet-java/usr/share/java/inetlib.jar
