=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/classpath/inetlib-(.*)\.tar\.gz debian uupdate
